updated to make build_xsedes a standard thing; can be run by anyone now as long
authorChris Koeritz <fred@gruntose.com>
Mon, 26 Aug 2013 07:09:30 +0000 (03:09 -0400)
committerChris Koeritz <fred@gruntose.com>
Mon, 26 Aug 2013 07:09:30 +0000 (03:09 -0400)
as GENII_INSTALL_DIR is set.

customizing/fred/build_xsedes.sh [deleted file]
customizing/fred/fred_common.alias
scripts/buildor/build_xsedes.sh [new file with mode: 0644]

diff --git a/customizing/fred/build_xsedes.sh b/customizing/fred/build_xsedes.sh
deleted file mode 100644 (file)
index dd15302..0000000
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
-
-function build_xsede()
-{
-  pushd ~/xsede/code/fred/trunk
-  if [ $? -ne 0 ]; then return 1; fi
-  echo "Build starting at: $(date)"
-  \rm -rf unit-test-reports
-  # update the libs first.
-  ant update
-  if [ $? -ne 0 ]; then return 1; fi
-  # then build the trunk.
-  ant -Dbuild.targetArch=64 build
-  if [ $? -ne 0 ]; then return 1; fi
-  # fix memory limits.
-#hmmm: clean these up.
-  if [ -f runContainer.sh ]; then
-    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.sh" 
-    chmod 755 "runContainer.sh" 
-  fi
-  if [ -f grid ]; then
-#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid"
-    chmod 755 "grid"
-  fi
-  if [ -f runContainer.bat ]; then
-    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.bat"
-    chmod 755 "runContainer.bat" 
-  fi
-  if [ -f grid.bat ]; then
-#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid.bat"
-    chmod 755 "grid.bat"
-  fi
-  echo "Build done at: $(date)"
-  popd
-}
-
-function rebuild_xsede()
-{
-  pushd ~/xsede/code/fred/trunk
-  ant clean
-  if [ $? -ne 0 ]; then return 1; fi
-  popd
-  build_xsede
-}
-
index de93371418fc7b70abc6ca06322d6660105778ba..567bfe8c3096a0139b2c6533e807652845a0321c 100644 (file)
@@ -9,4 +9,6 @@ alias unmoo='umount /z/stuffing ; umount /z/walrus ; umount /z/chunky '
 # cleans up the ownership for all my files.
 alias refred='(chown -R fred:fred /home/fred /home/games /home/archives ; normal_perm /var/log )'
 
+# load in the xsede build scripts.
+source "$FEISTY_MEOW_SCRIPTS/buildor/build_xsedes.sh"
 
diff --git a/scripts/buildor/build_xsedes.sh b/scripts/buildor/build_xsedes.sh
new file mode 100644 (file)
index 0000000..db28af0
--- /dev/null
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
+
+function build_xsede()
+{
+  if [ -z "$GENII_INSTALL_DIR" ]; then
+    echo GENII_INSTALL_DIR is not set.
+    return 1
+  fi
+  pushd $GENII_INSTALL_DIR
+  if [ $? -ne 0 ]; then return 1; fi
+  echo "Build starting at: $(date)"
+  \rm -rf unit-test-reports
+  # update the libs first.
+  ant update
+  if [ $? -ne 0 ]; then return 1; fi
+  # then build the trunk.
+  ant -Dbuild.targetArch=64 build
+  if [ $? -ne 0 ]; then return 1; fi
+  # fix memory limits.
+#hmmm: clean these up.
+  if [ -f runContainer.sh ]; then
+    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.sh" 
+    chmod 755 "runContainer.sh" 
+  fi
+  if [ -f grid ]; then
+#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid"
+    chmod 755 "grid"
+  fi
+  if [ -f runContainer.bat ]; then
+    sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.bat"
+    chmod 755 "runContainer.bat" 
+  fi
+  if [ -f grid.bat ]; then
+#    sed -i -e "s/-Xmx512M/-Xmx1G/" "grid.bat"
+    chmod 755 "grid.bat"
+  fi
+  echo "Build done at: $(date)"
+  popd
+}
+
+function rebuild_xsede()
+{
+  if [ -z "$GENII_INSTALL_DIR" ]; then
+    echo GENII_INSTALL_DIR is not set.
+    return 1
+  fi
+  pushd $GENII_INSTALL_DIR
+  ant clean
+  if [ $? -ne 0 ]; then return 1; fi
+  popd
+  build_xsede
+}
+